# Exception class

A marker interface implemented by all core library exceptions.

An Exception is intended to convey information to the user about a failure, so that the error can be addressed programmatically. It is intended to be caught, and it should contain useful data fields.

Creating instances of Exception directly with `new Exception("message")` is discouraged, and only included as a temporary measure during development, until the actual exceptions used by a library are done.

Implementers
  - DeferredLoadException
  - FormatException
  - IntegerDivisionByZeroException
  - IOException
  - IsolateSpawnException
  - TimeoutException

## Constructors

Exception([dynamic message ])
  factory

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited